#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kjournald
Version: 23.04.1
Release:        %mkrel %{rel}
Summary:        Qt browser for journald database
License:        LGPL-2.1-or-later
Group:          Graphical desktop/KDE
URL:            https://invent.kde.org/system/kjournald
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(libsystemd)

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Widgets)

BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(Qt5Quick)

Requires:       qtquickcontrols25

%description
This project aims to provide an abstraction of the systemd’s journald API in
terms of QAbstractItemModel classes. The main purpose is to ease the
integration of journald into Qt based applications (both QML and QtWidget).
Additional to the library, the project provides a reference implementation of
the API, called kjournaldbrowser. Even though that application provides a
powerful journal database reader, we aim to do a clear split between
reuseable library and application logic.

%files -f %{name}.lang
%license LICENSES/*
%{_kf5_categoriesdir}/kjournald.categories
%{_kf5_bindir}/kjournaldbrowser
%{_kf5_applicationsdir}/org.kde.kjournaldbrowser.desktop
%{_kf5_metainfodir}/org.kde.kjournaldbrowser.appdata.xml
%{_kf5_libdir}/libkjournald.so.*

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

rm -r %{buildroot}%{_kf5_libdir}/lib%{name}.so

%find_lang %{name} --all-name


%changelog
* Tue May 30 2023 daviddavid <daviddavid> 23.04.1-1.mga9
+ Revision: 1959740
- initial package kjournald

